<html>
    <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="initial-scale=1.0, width=device-width, height=device-height, user-scalable=no">
            <title>3D Configurator</title>
            <link rel="stylesheet" href="mimic.css" type="text/css">
            <link rel="stylesheet" href="customizer.css" type="text/css">
        </head>
    <body class="testPage">

        <!-- mimic structure in shopify and inject customizer html elements into it  -->
        
                    <div id="section-product" class="site-box-container container--fullscreen box--can-stick product--section">
                        <div class="site-box box--big lap--box--bigger box--typo-big box--no-padding box__product-gallery scroll active">
                            <div class="site-box-content">
                                    <div class="box--product-image gallery-item current">
                                        <img src="../localhost/variant_male_launch_v12145_900x.jpg" alt="Calamigos All Over" class="lazyautosizes ls-is-cached lazyloaded">
                                    </div>
                                    <script>
                                        // TODO - rename images to match product id and replace img src with product id here, just for a localhost solution on changing products
                                    </script>
                            </div>
                            <div id="product-zoom-in hidden"></div>
                            <div class="site-sharing hidden"></div>
                            <div class="gallery-index hidden"></div>
                        </div>
                        <div class="site-box box--big lap--box--bigger box--typo-big box--center-align box--column-flow box__product-content active">
                            <div class="site-box-content fix-me-with-margin" style="margin-top: -93px;">
              
                                    <h1 class="product-title" itemprop="name">Calamigos All Over</h1>
                                    <span class="variant-sku custom-hide"></span>
                                    <span class="price">
                                      <span class="product-price" data-price="198">$198.00</span>
                                    </span>
                              
                                    <div class="offers" itemprop="offers" itemscope="" itemtype="//schema.org/Offer">  
                                      <meta itemprop="price" content="198.00">
                                      <meta itemprop="priceCurrency" content="USD">
                                      <link itemprop="availability" href="//schema.org/InStock">
                                      <div id="add-to-cart-product" class="product--add-to-cart-form style--minimal" data-type="overlay" action="undefined.js">
                                        <form method="post" action="/cart/add.js" id="product_form_2181227348064" accept-charset="UTF-8" class="shopify-product-form" enctype="multipart/form-data"><input type="hidden" name="form_type" value="product"><input type="hidden" name="utf8" value="✓">
                                          <div class="product-variants-holder">
                                              <div class="product-variant selector-wrapper">
                                                <select class="product-variants" id="product-size" style="display: none;"><option value="XS">XS</option><option value="S">S</option><option value="M">M</option><option value="L">L</option><option value="XL">XL</option></select>
                                              <ul class="color-false" data-option="option1"><li class="active" tabindex="0" data-text="XS"><span>XS</span></li><li tabindex="0" data-text="S"><span>S</span></li><li tabindex="0" data-text="M"><span>M</span></li><li tabindex="0" data-text="L"><span>L</span></li><li tabindex="0" data-text="XL"><span>XL</span></li></ul></div>
                                            
                              
                                          </div>
                                        
                                           <select id="productSelect" name="id" class="styled" style="display: none;">
                                            
                                              
                                                <option selected="selected" value="19649474068576">
                                                  XS
                                                </option>
                                                <option value="19649474101344">
                                                  S
                                                </option>
                                                <option value="19649474134112">
                                                  M
                                                </option>
                                                <option value="19649474166880">
                                                  L
                                                </option>
                                                <option value="19649474199648">
                                                  XL
                                                </option>
                                              
                                            
                                          </select>
                              
                                          <div class="cart-functions payment-button--true">
                              
                                            <!-- after customized product information is saved, it clicks -> .cart-functions button[type="submit"] -->
                                            <button id="runCustomizer" type="button" class="button color customize-btn"><span class="product-customize">Customize</span></button>
                                            <button type="submit" name="add" class="button color" onsubmit="return false;"><span class="add-to-cart-text">Add to cart</span></button>

                                            <span class="variant-quantity"></span>
                              
                                          </div>
                              
                                        </form>
                              
                                      </div>
                              
                                    </div>
                                    
                                    <div class="rte extract-images" itemprop="description">
                              
                              
                                      <p><span style="font-weight: 400;">Calamigos is a Chumash Indian word that means “Come as my brother, come as my friend.”</span></p>
                              <p><span style="font-weight: 400;">Classic crewneck sweater features all-over “Calamigos Malibu” motif with a unique pinstripe-effect stitch on the text. The sweater body is camel, with black and white pinstriped text, but all colors can be customized. Classic fit. Made from 70% cotton/30% merino wool blend. Machine washable.</span></p>
                              <p><span style="font-weight: 400;">Customizable feature: Choose your own body and text colors. </span></p>
                              
                                    </div>
                              
                                  </div>
                    </div>
                </div>


                <!-- --- START OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->
                <!-- --- START OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->
                <!-- --- START OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->

                <div class="playGround custom-hide">
                    <!-- this gets injected for smooth loader -->
                    <div id="customizerProgressBar" >
                        <div class="progress-text">Loading Customizer</div>
                        <div class="progress-line-wrapper">
                            <div id="currentProgress" ></div>
                        </div>
                    </div>

                </div>

                <div class="playGround playGroundFixed" >
                    <!-- this displays on top of everything with smooth entry -->

                    <!-- <div class="custom-overlay-header">
                            <div class="custom-overlay-left">
                                    <div class="custom-overlay-logo custom-header-click" data-trigger="#site-header .logo a.logo-img"></div>
                            </div>
                            <div class="custom-overlay-right">
                                <div class="custom-overlay-cart custom-header-click" data-trigger="#site-header #site-cart-handle >a"></div>
                                <div class="custom-overlay-menu custom-header-click" data-trigger="#site-header #site-menu-handle"></div>
                            </div>
                    </div> -->

                    <div class="relative-wrapper">

                           
                            <div id="canvasWrapper" class="" >

                                    <canvas id="myCanvas" ></canvas>
                                    
                                    <div class="mobile-buttons">
                                        <div class="x">
                                            <button class="site-close-handle customizerCancel" title="Close customizer">
                                                <span class="hamburger-menu active" aria-hidden="true"><span class="bar animate"></span></span>
                                            </button>
                                        </div>
                                        <div class="btn btn-custom customizerAddToCart" >
                                            <span>Add to Cart</span>
                                        </div>
                                    </div>                       
            
                                </div>
            
                                <div id="optionsWrapper" class="">
                                    <div id="optionsContainer">
                                        <div id="optionsToggler" >
                                            <div id="arrow" class="arrow up" ></div>
                                            <div class="text-below-arrow">Show Customizer Options</div>
                                        </div>
                                        <div class="exit-customizer">
                                            <div class="x">
                                                <button class="site-close-handle customizerCancel" title="Close customizer">
                                                    <span class="hamburger-menu active" aria-hidden="true"><span class="bar animate"></span></span>
                                                </button>
                                            </div>
                                        </div>
                                        <div id="materialTweaker" >
                                            <div class="h1">Make It Your Own</div>
                                        </div>
                                        <div class="buttons">
                                            <div class="btn btn-custom customizerAddToCart" >
                                                <span>Add to Cart</span>
                                            </div>
                                        </div>
                                        
            
                                        <div class="hidden">
                                            <div id="bottomLeftContainer" >
                                                <label class="btn">Upload PNG
                                                    <input type="file" id="inputPNG" name="png" accept="image/png">
                                                </label>
                                                <div id="downloadBMP" class="btn disabled" >Download BMP</div>
                                            </div>
                                            <!--<div id="bottomRightContainer">
                                                <div id="done" class="btn">DONE</div>
                                            </div>-->
                                        </div>
                                    </div>
                                </div>
                    </div>
                </div>

                

                <!-- --- END OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->
                <!-- --- END OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->
                <!-- --- END OF CUSTOM HTML THAT SHOULD GO TO SHOPIFY --- -->

                
                <!-- Hey hey... abit more ATTENTION, IN SHOPIFY YOUR CART_FORM.LIQUID SHOULD HAVE THIS IN FORM TO CATCH A CUSTOM ORDER NUMBER -->

                    <input id="customizercustomorder" type="hidden" name="attributes[customizerCustomOrder]" value="{{ cart.attributes["customizerCustomOrder"] }}">
                    
                    <!-- for screenshots hidden inputs are created manually in OrderManager.ts -->
               
                <!-- NOW WE'RE DONE WITH SHOPIFY -->


                <div class="debugCanvas" style="display: block">
                    <div id="debug1"></div>
                    <div id="debug2"></div>
                </div>

                <div id="take-screenshot">Take Screenshot</div>
    
        <script src="../build/dev/app.bundle.js"></script>
        <script>
            // window.addEventListener('customizer:show', function(){
                // console.log('triggered customizer:show');
            // });
        </script>
        <script>
            window.addEventListener('load', ()=>{

                const customizeBtn = document.querySelectorAll('#runCustomizer')[0];
                customizeBtn.addEventListener('click', ()=>{
                    window.dispatchEvent(new Event('customizer:show'));
                });

                // setTimeout(()=>{
                //     window.dispatchEvent(new Event('customizer:show'));
                // }, 1);
            });

           
        </script>
        <style>
             /* for localhost only, dont copy these over */
            body{
                margin: 0;
                padding: 0;
            }
            #section-product{
                height: 95vh;
            }
            .debugCanvas{
                position: relative;
                width: 100%;
                height: auto;
                min-height: 200px;
                display: flex;
                flex-direction: row;
            }
            .debugCanvas > div{
                display: block;
                width: 50%;
            }

            .dg.ac{
                z-index: 9999;
            }
            .site-close-handle {
                background-image: url('../localhost/close-modal.png');
                background-size: cover;
            }

            .customizer-loaded{
                height: auto !important;
                max-height: inherit !important;
            }
            #take-screenshot{
                position: fixed;
                top: 10px;
                left: 10px;
                padding: 10px 20px;
                font-size: 20px;
                background: white;
                border: 1px solid red;
                color: red;
                z-index: 99999;
                cursor: pointer;
            }
            .temp-image{
                position: fixed;
                top: 10px;
                right: 10px;
                /* width: 300px; */
                /* height: 500px; */
                z-index: 9999;
                outline: 1px solid red;
            }
        </style>
    </body>
</html>